Attribute VB_Name = "AddIn"
Option Explicit

Declare Function WritePrivateProfileString _
   Lib "Kernel32" Alias "WritePrivateProfileStringA" _
   (ByVal AppName As String, _
    ByVal KeyName As String, _
    ByVal keydefault As String, _
    ByVal FileName As String) As Long

' *******************************************************
' Routine Name : (PUBLIC in MODULE) Sub Main
' Written By   : L.J. Johnson
' Programmer   : L.J. Johnson [KPMG]
' Date Writen  : 05/31/1998 -- 00:03:35
' Inputs       : N/A
' Outputs      : N/A
' Description  :
'              :
'              :
' *******************************************************
Sub Main()
   Dim p_strEndingColumn               As String
   
   If App.StartMode = vbext_psm_StandAlone Then
      p_strEndingColumn = GetSetting(App.Title, _
                  "Settings", _
                  "EndColumn", _
                  "")
      p_strEndingColumn = InputBox("Enter ending column for comment header", _
                  "InsertComments VB Add-In", _
                  p_strEndingColumn)
      SaveSetting App.Title, _
                  "Settings", _
                  "EndColumn", _
                  p_strEndingColumn
      WritePrivateProfileString "Add-Ins32", _
                  "InsertComments.Connect", _
                  "0", _
                  "vbaddin.ini"
      MsgBox "Insert Comments Add-In Registered", _
                  vbInformation, _
                  "Add Comments Add-In"
   End If
   
End Sub
